Bug 427302 - Incorrect RHEL 5.1 Release Note for the tick divider option
Incorrect RHEL 5.1 Release Note for the tick divider option
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Don Domingo
Martin Jenner
:
Depends On:
Blocks: 222082
  Show dependency treegraph
 
Reported: 2008-01-02 16:18 EST by Chris Lalancette
Modified: 2008-01-14 20:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 20:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2008-01-02 16:18:18 EST
Description of problem:

In the 5.1 kernel, we added the tick divider option so that you can effectively
run a machine at a lower HZ than 1000, which is important for certain
applications and for virtualization.  In order to use this feature, you need to
pass "divider=<int>" on the kernel command-line when booting.  However, the
Release Notes for 5.1:

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/release-notes/RELEASE-NOTES-U1-x86_64-en.html

say that you need to pass "tick_divider=<int>" on the kernel command-line, which
is not true.  This has been causing confusion with CentOS people, and will
probably confuse customers as well.  I'd like to change the online version of
the notes to say "divider=" instead of "tick_divider=" to reduce the confusion.
Comment 1 Chris Lalancette 2008-01-02 17:59:06 EST
Further, the whole section is actually wrong.  It's not a sysfs parameter at
all.  Here's the current text:

===============================================================================
tick_divider

    The tick_divider=<value> option is a sysfs parameter that allows you to
adjust the system clock rate while maintaining the same visible HZ timing value
to user space applications.

    Using the tick_divider= option allows you to reduce CPU overhead and
increase efficiency at the cost of lowering the accuracy of timing operations
and profiling.

    Useful <values> for the standard 1000Hz clock are:

        * 2 = 500Hz
        * 4 = 250Hz
        * 5 = 200Hz
        * 8 = 125Hz
        * 10 = 100Hz (value used by previous releases of Red Hat Enterprise Linux)

    Note that the virtualized kernel does not support multiple timer rates on
guests. dom0 uses a fixed timing rate set across all guests; this reduces the
load that multiple tick rates could cause.
==============================================================================

This would be much more clear and useful as the following:

==============================================================================
divider

    The divider=<value> option is a kernel command-line parameter that allows
you to adjust the system clock rate while maintaining the same visible HZ timing
value to user space applications.

   Using the divider= option allows you to reduce CPU overhead and increase
efficiency at the cost of lowering the accuracy of timing operations and
profiling.  This can be useful in virtualized environments as well as for
certain applications.

    Useful <values> for the standard 1000Hz clock are:

        * 2 = 500Hz
        * 4 = 250Hz
        * 10 = 100Hz (value used by previous releases of Red Hat Enterprise Linux)

    Note that the virtualized (Xen) kernel uses a 250HZ clock by default, and
thus does not need the divider= option either in dom0 or in paravirtualized guests.
==============================================================================

Chris Lalancette
Comment 2 Don Domingo 2008-01-03 19:55:34 EST
thanks Chris. i have revised the release note accordingly in source, the online
release notes will be updated on the next cycle.

Note You need to log in before you can comment on or make changes to this bug.